Skip to main content
GET
Get Memory Store
The response includes both pinned memories and memory learned from prior conversations.

Authorizations

x-api-key
string
header
required

Path Parameters

memory_store_id
string
required

Memory store identifier.

Required string length: 2 - 64
Pattern: ^m[a-z0-9]+$

Response

Memory store returned

memory_store_id
string
required

Unique identifier for the memory store.

Example:

"m123456789abc"

pal_id
string
required

PAL this store belongs to.

Example:

"p123456789ab"

participant_tag
string
required

Developer-provided participant identifier.

Example:

"user_12345"

pinned_memories
object[]
required

Pinned facts in this store.

Maximum array length: 30
learned
object
required

Memory learned from prior conversations. A filtered request may return only profile or timeline.

created_at
string
required

When the store was created.

Example:

"2026-08-24 12:00:00"

updated_at
string
required

When the store was last updated.

Example:

"2026-08-24 12:00:00"